UpdateFunction.NoOp (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils.btree

## Class UpdateFunction.NoOp<V>

- java.lang.Object
- - org.apache.cassandra.utils.btree.UpdateFunction.NoOp<V>

- All Implemented Interfaces:
    com.google.common.base.Function<V,V>, UpdateFunction<V>
  Enclosing interface:
    UpdateFunction<V>

      public static final class UpdateFunction.NoOp<V>
      extends java.lang.Object
      implements UpdateFunction<V>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.btree.UpdateFunction

      `UpdateFunction.NoOp<V>`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `abortEarly()`
    `void` | `allocated(long heapSize)`
    `V` | `apply(V update)`
    `V` | `apply(V replacing, V update)`
    `static <V> UpdateFunction.NoOp<V>` | `instance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.common.base.Function

      `equals`

- - ### Method Detail

    - #### instance

          public static <V> UpdateFunction.NoOp<V> instance()

    - #### apply

          public V apply(V replacing,
                         V update)

      Specified by:
        `apply` in interface `UpdateFunction<V>`
      Parameters:
        `replacing` - the value in the original tree we have matched
        `update` - the value in the updating collection that matched
      Returns:
        the value to insert into the new tree

    - #### apply

          public V apply(V update)

      Specified by:
        `apply` in interface `com.google.common.base.Function<V,V>`

    - #### abortEarly

          public boolean abortEarly()

      Specified by:
        `abortEarly` in interface `UpdateFunction<V>`
      Returns:
        true if we should fail the update

    - #### allocated

          public void allocated(long heapSize)

      Specified by:
        `allocated` in interface `UpdateFunction<V>`
      Parameters:
        `heapSize` - extra heap space allocated (over previous tree)

Copyright © 2018 The Apache Software Foundation